/*
 * Main.java
 * Part of the Spirograph problem set.
 *
 * Developed for "Rethinking CS101", a project of Lynn Andrea Stein's AP Group.
 * For more information, see http://www.ai.mit.edu/projects/cs101, the
 * CS101 homepage or email las@ai.mit.edu.
 *
 * Copyright (C) 1998 Massachusetts Institute of Technology.
 * Please do not redistribute without obtaining permission.
 */

package spirograph;

/** Main is a wrapper for Spirograph.
 *
 * <p>Copyright &copy; 1998 Massachusetts Institute of Technology<br />
 * Copyright &copy; 2003 Franklin W. Olin College of Engineering.</p>
 *
 * @author Todd C. Parnell, tparnell@ai.mit.edu
 * @version $Id: Main.java,v 1.4 2003/01/15 17:36:10 gus Exp $
 */
public class Main {

    /**
     * This is the entry point for the old (1998) interface.
     * @param argv The command line arguments
     */    
  public static void main(String[] argv) {

    switch (argv.length) {
    case 0: Spirograph s0 = new Spirograph(null, null); break;
    case 1: Spirograph s1 = new Spirograph(argv[0], null); break;
    case 2: Spirograph s2 = new Spirograph(argv[0], argv[1]); break;
    default: System.out.println("You must specify 0, 1, or 2 arguments.");
    }
  }

  /** Prevent instantiation. */
  private Main() {}
}

/*
 * $Log: Main.java,v $
 * Revision 1.4  2003/01/15 17:36:10  gus
 * adding log keywords to files that don't have them
 *
 */