/*
 * TextAreaCodeSource.java
 *
 * Created on December 19, 2002, 3:38 PM
 */

package spirograph;

import java.awt.TextArea;

/**
 * A code source that takes student code directly from a pair of
 * <code>TextArea</code>s.
 *
 * @author Patrick G. Heck
 */
public class TextAreaCodeSource implements CodeSource {
    
    private TextArea codeTA;
    
    private TextArea fieldTA;
    
    /**
     * Creates a new instance of TextAreaCodeSource
     *
     * @param cta The <code>TextArea</code> for the code body
     * @param fta The <code>TextArea</code> for the fields code
     */
    public TextAreaCodeSource(TextArea cta, TextArea fta) {
        fieldTA = fta;
        codeTA = cta;
    }
    
    /**
     * Return the contents of the <code>TextArea</code> for the code body.
     *
     * @return The student code
     */    
    public String getCode() {
        return codeTA.getText();
    }
    
    /**
     * Return the contents of the <code>TextArea</code> for the fields.
     *
     * @return The student fields
     */    
    public String getFields() {
        return fieldTA.getText();
    }
    
}

/*
 * $Log: TextAreaCodeSource.java,v $
 * Revision 1.3  2003/01/17 21:40:11  gus
 * Javadocs... yeah!
 *
 * Revision 1.2  2003/01/15 17:36:10  gus
 * adding log keywords to files that don't have them
 *
 */